#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);

    int n, tmp1, res = 0;
    vector<int> X; 
    vector<int> Y;
    map<int, int> mY;
    map<int, int> mZ;

    cin >> n;
    X.resize(n);
    Y.resize(n);
    for(int i = 0; i < n; i++) {
        cin >> X.at(i);
    }
    for(int i = 0; i < n; i++) {
        cin >> tmp1;
        Y.at(i) = tmp1;
        mY[tmp1];
        mY[tmp1]++;
    }
    for(int i = 0; i < n; i++) {
        cin >> tmp1;
        mZ[Y.at(tmp1 - 1)];
        mZ[Y.at(tmp1 - 1)]++;
    }
    
    for(int i = 0; i < n; i++) {
        res += mZ[X.at(i)];
    }
    cout << res << endl;
    return 0;
}